using AppliWebANA.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AppliWebANA.Controllers {
	public class CompteursController : Controller {

		public ActionResult Index(int? id) {
			var compteurs = new CompteursVM();
			if( Request.HttpMethod == "GET" ) {
				compteurs.InteractionsAvecLaPageDesCompteurs = 0;
				Compteurs.VisitesDuNavigateurSurLaPageDesCompteurs++;
			}
			else {
				compteurs.InteractionsAvecLaPageDesCompteurs =
					int.Parse( Request.Form["interactions"] );
			}
			compteurs.VisitesDuNavigateurSurLaPageDesCompteurs = Compteurs.VisitesDuNavigateurSurLaPageDesCompteurs;
			compteurs.InteractionsAvecLaPageDesCompteurs++;
			compteurs.VisiteursDuSite = Compteurs.NbDeVisiteurs;
			compteurs.VisitesDeLUtilisateurSurLeSite = Compteurs.VisitesDeLUtilisateurSurLeSite;

			ViewBag.Compteurs = compteurs;
			ViewBag.Id = id;
			return View();
		}

	}


	}